> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get config details

> Get information about logs uploader config.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml get /cdn/logs_uploader/configs/{id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/logs_uploader/configs/{id}:
    get:
      tags:
        - Logs uploader
      summary: Get config details
      description: Get information about logs uploader config.
      operationId: reseller-get-config-details
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResellerLogsUploaderConfigResponse'
        '403':
          description: Feature is disabled for your account.
        '404':
          description: Logs uploader config does not exist or has been deleted.
components:
  schemas:
    ResellerLogsUploaderConfigResponse:
      allOf:
        - $ref: '#/components/schemas/LogsUploaderConfigResponse'
        - $ref: '#/components/schemas/ResellerLogsUploaderScopingFields'
    LogsUploaderConfigResponse:
      properties:
        id:
          type: integer
          readOnly: true
        client_id:
          type: integer
          description: Client that owns the config.
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
          description: Time when the config was created.
        updated:
          type: string
          format: date-time
          readOnly: true
          description: Time when the config was updated.
        enabled:
          type: boolean
          description: Enables or disables the config.
        name:
          type: string
          description: Name of the config.
        policy:
          type: integer
          description: ID of the policy that should be assigned to given config.
        target:
          type: integer
          description: ID of the target to which logs should be uploaded.
        for_all_resources:
          type: boolean
          description: >-
            If set to true, the config will be applied to all CDN resources.

            If set to false, the config will be applied to the resources
            specified in the `resources` field.
        resources:
          type: array
          items:
            type: integer
          description: List of resource IDs to which the config should be applied.
        status:
          allOf:
            - $ref: '#/components/schemas/LogsUploaderValidationResponse'
            - type: object
              description: Validation status of the logs uploader config.
    ResellerLogsUploaderScopingFields:
      description: >-
        Reseller-specific scoping fields. `for_all_clients` (sub-clients only)
        and

        `for_all_resources` (tech-client only) cover orthogonal scopes and can
        be

        combined. Only `for_all_clients` ↔ `clients` and `for_all_resources` ↔
        `resources`

        are mutually exclusive.
      type: object
      properties:
        for_all_clients:
          type: boolean
          description: >-
            If set to true, the config will be applied to all resources of every

            sub-client under the reseller. Resources owned directly by the
            reseller's

            own tech-client are not matched — use `for_all_resources`
            (additionally or

            instead) to cover the tech-client's resources.

            Mutually exclusive with `clients`.
        clients:
          type: array
          items:
            type: integer
          description: |-
            List of sub-client IDs to which the config should be applied.
            Mutually exclusive with `for_all_clients`.
    LogsUploaderValidationResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - in_progress
            - successful
            - failed
          description: Status of the validation.
        code:
          type: integer
          description: Error code indicating the type of validation error.
        updated:
          type: string
          format: date-time
          description: Time when the validation status was updated.
        details:
          type: string
          description: Error message if the validation failed.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````